#include <iostream>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>

using namespace std;
struct logs	//struct for data from preprocessor logs
{
        char data[9];
        char hour[6];
        int day;
	//int czas;
        long int tcp_countFp;
        long int tcp_countFpUp;
        long int tcp_countFpDown;
        long int lanTCP;
        long int udp_countFp;
        long int udp_countFpUp;
        long int udp_countFpDown;
        long int lanUDP;
        long int icmp_countFp;
        long int icmp_countFpUp;
        long int icmp_countFpDown;
        long int lanICMP;
        long int liczbaSYNACKp;
        long int tcpWWW_countUp;
        long int tcpWWW_countDown;
        long int udpDNS_countUp;
        long int udpDNS_countDown;
        double daneTCPUpKB;
        double daneTCPDownKB;
        double daneWWWUpKB;
        double daneWWWDownKB;
        double daneUDPUpKB;
        double daneUDPDownKB;
        double daneDNSUpKB;
        double daneDNSDownKB;
};

struct avg		//struct for average values
{
    //double czas;
    double tcp_countFp;
    double tcp_countFpUp;
    double tcp_countFpDown;
    double lanTCP;
    double udp_countFp;
    double udp_countFpUp;
    double udp_countFpDown;
    double lanUDP;
    double icmp_countFp;
    double icmp_countFpUp;
    double icmp_countFpDown;
    double lanICMP;
    double liczbaSYNACKp;
    double tcpWWW_countUp;
    double tcpWWW_countDown;
    double udpDNS_countUp;
    double udpDNS_countDown;
    double daneTCPUpKB;
    double daneTCPDownKB;
    double daneWWWUpKB;
    double daneWWWDownKB;
    double daneUDPUpKB;
    double daneUDPDownKB;
    double daneDNSUpKB;
    double daneDNSDownKB;
    unsigned int counter;	//counter 
};

struct dev		//strut for deviation values
{
    //double czas;
    double tcp_countFp;
    double tcp_countFpUp;
    double tcp_countFpDown;
    double lanTCP;
    double udp_countFp;
    double udp_countFpUp;
    double udp_countFpDown;
    double lanUDP;
    double icmp_countFp;
    double icmp_countFpUp;
    double icmp_countFpDown;
    double lanICMP;
    double liczbaSYNACKp;
    double tcpWWW_countUp;
    double tcpWWW_countDown;
    double udpDNS_countUp;
    double udpDNS_countDown;
    double daneTCPUpKB;
    double daneTCPDownKB;
    double daneWWWUpKB;
    double daneWWWDownKB;
    double daneUDPUpKB;
    double daneUDPDownKB;
    double daneDNSUpKB;
    double daneDNSDownKB;
    unsigned int counter;
    
};

struct wyn
{
    int day;
    char hour[4];
    avg average;
    dev deviation;
};

int main()
{
        FILE *fptr;	//file pointer
	char hour[3];
	char seps[]=" ,";	//separators
	char string[200];	// buffor
        char* token;	
	char* buff;
        char dni[7][4]={"Mon","Tue","Wed","Thu","Fri","Sat","Sun"};
	char hours[24][4]={"00:","01:","02:","03:","04:","05:","06:","07:","08:","09:","10:","11:","12:",
				"13:","14:","15:","16:","17:","18:","19:","20:","21:","22:","23:"};
	int i=0,j=0,k=0,licz1=0,licz2=0;	//counters
	
        fptr = fopen("/var/log/snort_log2.txt", "r");	
        if (fptr==NULL)
        {
                printf("Can't open file.\n");
                exit(1);
        }
	while(1)	//counting number of rows in file
	{
	    if (fgets(string,1000,fptr)==NULL) break;
	    k++;
	}
	rewind(fptr);	//rewind to begining of file
	logs tab[k];	//table for data from file
	wyn results[168]={0};	//table for results; 168 = 24 hours * 7 days
	
	j=0;
        while (1)	//reading data from file
	{
	    if (fgets(string,200,fptr)==NULL) break;
        
	    token=strtok(string,seps);        
	
    	    for (i=0;i<29;i++)
	    {
		//cout<<i<<endl;
        	if (i==0) strcpy(tab[j].data,token);
        	if (i==1) strcpy(tab[j].hour,token);
                if (i==2) 
		{
		    if (!strcmp(token,"Mon")) tab[j].day=0;
		    if (!strcmp(token,"Tue")) tab[j].day=1;
		    if (!strcmp(token,"Wed")) tab[j].day=2;
		    if (!strcmp(token,"Thu")) tab[j].day=3;
		    if (!strcmp(token,"Fri")) tab[j].day=4;
		    if (!strcmp(token,"Sat")) tab[j].day=5;
		    if (!strcmp(token,"Sun")) tab[j].day=6;
		}
	        if (i==3) ;//tab[j].czas=atoi(token);
		if (i==4) tab[j].tcp_countFp=atoi(token);
    	        if (i==5) tab[j].tcp_countFpUp=atoi(token);
                if (i==6) tab[j].tcp_countFpDown=atoi(token);
	        if (i==7) tab[j].lanTCP=atoi(token);
    	        if (i==8) tab[j].udp_countFp=atoi(token);
        	if (i==9) tab[j].udp_countFpUp=atoi(token);
                if (i==10) tab[j].udp_countFpDown=atoi(token);
	        if (i==11) tab[j].lanUDP=atoi(token);
    	        if (i==12) tab[j].icmp_countFp=atoi(token);
        	if (i==13) tab[j].icmp_countFpUp=atoi(token);
                if (i==14) tab[j].icmp_countFpDown=atoi(token);
	        if (i==15) tab[j].lanICMP=atoi(token);
    	        if (i==16) tab[j].liczbaSYNACKp=atoi(token);
    		if (i==17) tab[j].tcpWWW_countUp=atoi(token);
                if (i==18) tab[j].tcpWWW_countDown=atoi(token);
	        if (i==19) tab[j].udpDNS_countUp=atoi(token);
    	        if (i==20) tab[j].udpDNS_countDown=atoi(token);
        	if (i==21) tab[j].daneTCPUpKB=atof(token);
                if (i==22) tab[j].daneTCPDownKB=atof(token);
	        if (i==23) tab[j].daneWWWUpKB=atof(token);
    	        if (i==24) tab[j].daneWWWDownKB=atof(token);
        	if (i==25) tab[j].daneUDPUpKB=atof(token);
                if (i==26) tab[j].daneUDPDownKB=atof(token);
	        if (i==27) tab[j].daneDNSUpKB=atof(token);
    	        if (i==28) tab[j].daneDNSDownKB=atof(token);
		token=strtok(NULL,seps);
		
	    }
	    j++;
            
    	}
	fclose(fptr);
	
for (licz1=0;licz1<7;licz1++)		//counting for avarage value
{
    for (licz2=0;licz2<24;licz2++)
    {	
	
	for (j=0;j<k;j++)
	{
	  if (tab[j].day==licz1)
	  {	    
	    if (strstr(tab[j].hour,hours[licz2]))
	    {
		results[24*licz1+licz2].day=licz1;
		strcpy(results[24*licz1+licz2].hour,hours[licz2]);
		results[24*licz1+licz2].average.tcp_countFp+=tab[j].tcp_countFp;
		results[24*licz1+licz2].average.tcp_countFpUp+=tab[j].tcp_countFpUp;		
		results[24*licz1+licz2].average.tcp_countFpDown+=tab[j].tcp_countFpDown;
		results[24*licz1+licz2].average.lanTCP+=tab[j].lanTCP;
                results[24*licz1+licz2].average.udp_countFp+=tab[j].udp_countFp;
		results[24*licz1+licz2].average.udp_countFpUp+=tab[j].udp_countFpUp;
	        results[24*licz1+licz2].average.udp_countFpDown+=tab[j].udp_countFpDown;
		results[24*licz1+licz2].average.lanUDP+=tab[j].lanUDP;
		results[24*licz1+licz2].average.icmp_countFp+=tab[j].icmp_countFp;
		results[24*licz1+licz2].average.icmp_countFpUp+=tab[j].icmp_countFpUp;
		results[24*licz1+licz2].average.icmp_countFpDown+=tab[j].icmp_countFpDown;
		results[24*licz1+licz2].average.lanICMP+=tab[j].lanICMP;
		results[24*licz1+licz2].average.liczbaSYNACKp+=tab[j].liczbaSYNACKp;
		results[24*licz1+licz2].average.tcpWWW_countUp+=tab[j].tcpWWW_countUp;
		results[24*licz1+licz2].average.tcpWWW_countDown+=tab[j].tcpWWW_countDown;
		results[24*licz1+licz2].average.udpDNS_countUp+=tab[j].udpDNS_countUp;
		results[24*licz1+licz2].average.udpDNS_countDown+=tab[j].udpDNS_countDown;
		results[24*licz1+licz2].average.daneTCPUpKB+=tab[j].daneTCPUpKB;
		results[24*licz1+licz2].average.daneTCPDownKB+=tab[j].daneTCPDownKB;
		results[24*licz1+licz2].average.daneWWWUpKB+=tab[j].daneWWWUpKB;
		results[24*licz1+licz2].average.daneWWWDownKB+=tab[j].daneWWWDownKB;
		results[24*licz1+licz2].average.daneUDPUpKB+=tab[j].daneUDPUpKB;
		results[24*licz1+licz2].average.daneUDPDownKB+=tab[j].daneUDPDownKB;
	        results[24*licz1+licz2].average.daneDNSUpKB+=tab[j].daneDNSUpKB;
                results[24*licz1+licz2].average.daneDNSDownKB+=tab[j].daneDNSDownKB;
		results[24*licz1+licz2].average.counter++;
	    }	    
	  }
	}
	
     }
}
for (j=0;j<168;j++)
{
    //results[j].average.czas/=results[j].average.czas;
    results[j].average.tcp_countFp/=results[j].average.counter;
    results[j].average.tcp_countFpUp/=results[j].average.counter;		
    results[j].average.tcp_countFpDown/=results[j].average.counter;;
    results[j].average.lanTCP/=results[j].average.counter;
    results[j].average.udp_countFp/=results[j].average.counter;
    results[j].average.udp_countFpUp/=results[j].average.counter;
    results[j].average.udp_countFpDown/=results[j].average.counter;
    results[j].average.lanUDP/=results[j].average.counter;
    results[j].average.icmp_countFp/=results[j].average.counter;
    results[j].average.icmp_countFpUp/=results[j].average.counter;
    results[j].average.icmp_countFpDown/=results[j].average.counter;
    results[j].average.lanICMP/=results[j].average.counter;
    results[j].average.liczbaSYNACKp/=results[j].average.counter;
    results[j].average.tcpWWW_countUp/=results[j].average.counter;
    results[j].average.tcpWWW_countDown/=results[j].average.counter;
    results[j].average.udpDNS_countUp/=results[j].average.counter;
    results[j].average.udpDNS_countDown/=results[j].average.counter;
    results[j].average.daneTCPUpKB/=results[j].average.counter;
    results[j].average.daneTCPDownKB/=results[j].average.counter;
    results[j].average.daneWWWUpKB/=results[j].average.counter;
    results[j].average.daneWWWDownKB/=results[j].average.counter;
    results[j].average.daneUDPUpKB/=results[j].average.counter;
    results[j].average.daneUDPDownKB/=results[j].average.counter;
    results[j].average.daneDNSUpKB/=results[j].average.counter;
    results[j].average.daneDNSDownKB/=results[j].average.counter;
}

for (licz1=0;licz1<7;licz1++)	//counting for standard deviation
{
    for (licz2=0;licz2<24;licz2++)
    {	
	
	for (j=0;j<k;j++)
	{
	  if (tab[j].day==licz1)
	  {	    
	    //cout<<"2 "<<tab[j].day<<dni[licz1];
	    if (strstr(tab[j].hour,hours[licz2]))
	    {
		results[24*licz1+licz2].deviation.tcp_countFp+=pow(tab[j].tcp_countFp-results[24*licz1+licz2].average.tcp_countFp,2);
		results[24*licz1+licz2].deviation.tcp_countFpUp+=pow(tab[j].tcp_countFpUp-results[24*licz1+licz2].average.tcp_countFpUp,2);		
		results[24*licz1+licz2].deviation.tcp_countFpDown+=pow(tab[j].tcp_countFpDown-results[24*licz1+licz2].average.tcp_countFpDown,2);		
		results[24*licz1+licz2].deviation.lanTCP+=pow(tab[j].lanTCP-results[24*licz1+licz2].average.lanTCP,2);
                results[24*licz1+licz2].deviation.udp_countFp+=pow(tab[j].udp_countFp-results[24*licz1+licz2].average.udp_countFp,2);
		results[24*licz1+licz2].deviation.udp_countFpUp+=pow(tab[j].udp_countFpUp-results[24*licz1+licz2].average.udp_countFpUp,2);
	        results[24*licz1+licz2].deviation.udp_countFpDown+=pow(tab[j].udp_countFpDown-results[24*licz1+licz2].average.udp_countFpDown,2);
		results[24*licz1+licz2].deviation.lanUDP+=pow(tab[j].lanUDP-results[24*licz1+licz2].average.lanUDP,2);
		results[24*licz1+licz2].deviation.icmp_countFp+=pow(tab[j].icmp_countFp-results[24*licz1+licz2].average.icmp_countFp,2);
		results[24*licz1+licz2].deviation.icmp_countFpUp+=pow(tab[j].icmp_countFpUp-results[24*licz1+licz2].average.icmp_countFpUp,2);
		results[24*licz1+licz2].deviation.icmp_countFpDown+=pow(tab[j].icmp_countFpDown-results[24*licz1+licz2].average.icmp_countFpDown,2);
		results[24*licz1+licz2].deviation.lanICMP+=pow(tab[j].lanICMP-results[24*licz1+licz2].average.lanICMP,2);
		results[24*licz1+licz2].deviation.liczbaSYNACKp+=pow(tab[j].liczbaSYNACKp-results[24*licz1+licz2].average.liczbaSYNACKp,2);
		results[24*licz1+licz2].deviation.tcpWWW_countUp+=pow(tab[j].tcpWWW_countUp-results[24*licz1+licz2].average.tcpWWW_countUp,2);
		results[24*licz1+licz2].deviation.tcpWWW_countDown+=pow(tab[j].tcpWWW_countDown-results[24*licz1+licz2].average.tcpWWW_countDown,2);
		results[24*licz1+licz2].deviation.udpDNS_countUp+=pow(tab[j].udpDNS_countUp-results[24*licz1+licz2].average.udpDNS_countUp,2);
		results[24*licz1+licz2].deviation.udpDNS_countDown+=pow(tab[j].udpDNS_countDown-results[24*licz1+licz2].average.udpDNS_countDown,2);
		results[24*licz1+licz2].deviation.daneTCPUpKB+=pow(tab[j].daneTCPUpKB-results[24*licz1+licz2].average.daneTCPUpKB,2);
		results[24*licz1+licz2].deviation.daneTCPDownKB+=pow(tab[j].daneTCPDownKB-results[24*licz1+licz2].average.daneTCPDownKB,2);
		results[24*licz1+licz2].deviation.daneWWWUpKB+=pow(tab[j].daneWWWUpKB-results[24*licz1+licz2].average.daneWWWUpKB,2);
		results[24*licz1+licz2].deviation.daneWWWDownKB+=pow(tab[j].daneWWWDownKB-results[24*licz1+licz2].average.daneWWWDownKB,2);
		results[24*licz1+licz2].deviation.daneUDPUpKB+=pow(tab[j].daneUDPUpKB-results[24*licz1+licz2].average.daneUDPUpKB,2);
		results[24*licz1+licz2].deviation.daneUDPDownKB+=pow(tab[j].daneUDPDownKB-results[24*licz1+licz2].average.daneUDPDownKB,2);
	        results[24*licz1+licz2].deviation.daneDNSUpKB+=pow(tab[j].daneDNSUpKB-results[24*licz1+licz2].average.daneDNSUpKB,2);
                results[24*licz1+licz2].deviation.daneDNSDownKB+=pow(tab[j].daneDNSDownKB-results[24*licz1+licz2].average.daneDNSDownKB,2);
		results[24*licz1+licz2].deviation.counter++;
	    }	    
	  }
	}
	
     }
}

for (j=0;j<168;j++)
{
		results[j].deviation.tcp_countFp=sqrt(results[j].deviation.tcp_countFp/(results[j].deviation.counter-1));
		results[j].deviation.tcp_countFpUp=sqrt(results[j].deviation.tcp_countFpUp/(results[j].deviation.counter-1));		
		results[j].deviation.tcp_countFpDown=sqrt(results[j].deviation.tcp_countFpDown/(results[j].deviation.counter-1));
		results[j].deviation.lanTCP=sqrt(results[j].deviation.lanTCP/(results[j].deviation.counter-1));
                results[j].deviation.udp_countFp=sqrt(results[j].deviation.udp_countFp/(results[j].deviation.counter-1));
		results[j].deviation.udp_countFpUp=sqrt(results[j].deviation.udp_countFpUp/(results[j].deviation.counter-1));
	        results[j].deviation.udp_countFpDown=sqrt(results[j].deviation.udp_countFpDown/(results[j].deviation.counter-1));
		results[j].deviation.lanUDP=sqrt(results[j].deviation.lanUDP/(results[j].deviation.counter-1));
		results[j].deviation.icmp_countFp=sqrt(results[j].deviation.icmp_countFp/(results[j].deviation.counter-1));
		results[j].deviation.icmp_countFpUp=sqrt(results[j].deviation.icmp_countFpUp/(results[j].deviation.counter-1));
		results[j].deviation.icmp_countFpDown=sqrt(results[j].deviation.icmp_countFpDown/(results[j].deviation.counter-1));
		results[j].deviation.lanICMP=sqrt(results[j].deviation.lanICMP/(results[j].deviation.counter-1));
		results[j].deviation.liczbaSYNACKp=sqrt(results[j].deviation.liczbaSYNACKp/(results[j].deviation.counter-1));
		results[j].deviation.tcpWWW_countUp=sqrt(results[j].deviation.tcpWWW_countUp/(results[j].deviation.counter-1));
		results[j].deviation.tcpWWW_countDown=sqrt(results[j].deviation.tcpWWW_countDown/(results[j].deviation.counter-1));
		results[j].deviation.udpDNS_countUp=sqrt(results[j].deviation.udpDNS_countUp/(results[j].deviation.counter-1));
		results[j].deviation.udpDNS_countDown=sqrt(results[j].deviation.udpDNS_countDown/(results[j].deviation.counter-1));
		results[j].deviation.daneTCPUpKB=sqrt(results[j].deviation.daneTCPUpKB/(results[j].deviation.counter-1));
		results[j].deviation.daneTCPDownKB=sqrt(results[j].deviation.tcp_countFpUp/(results[j].deviation.counter-1));
		results[j].deviation.daneWWWUpKB=sqrt(results[j].deviation.daneWWWUpKB/(results[j].deviation.counter-1));
		results[j].deviation.daneWWWDownKB=sqrt(results[j].deviation.daneWWWDownKB/(results[j].deviation.counter-1));
		results[j].deviation.daneUDPUpKB=sqrt(results[j].deviation.daneUDPUpKB/(results[j].deviation.counter-1));
		results[j].deviation.daneUDPDownKB=sqrt(results[j].deviation.daneUDPDownKB/(results[j].deviation.counter-1));
		results[j].deviation.daneDNSUpKB=sqrt(results[j].deviation.daneDNSUpKB/(results[j].deviation.counter-1));
                results[j].deviation.daneDNSDownKB=sqrt(results[j].deviation.daneDNSDownKB/(results[j].deviation.counter-1));

}
	
	fptr = fopen("/etc/profile.txt","w");	//file open
        
	if (fptr==NULL)
        {
                printf("Can't write to file.\n");
                exit(1);
        }
	
	for (int j=0;j<168;j++) 	//displaying results
	{
		cout<<results[j].day<<",";
		cout<<results[j].hour<<",";
		//cout<<results[j].average.czas<<",";
		//cout<<results[j].deviation.czas<<",";
		cout<<results[j].average.tcp_countFp<<",";
		cout<<results[j].deviation.tcp_countFp<<",";
		cout<<results[j].average.tcp_countFpUp<<",";
		cout<<results[j].deviation.tcp_countFpUp<<",";
		cout<<results[j].average.tcp_countFpDown<<",";
		cout<<results[j].deviation.tcp_countFpDown<<",";
		cout<<results[j].average.lanTCP<<",";
		cout<<results[j].deviation.lanTCP<<",";
		cout<<results[j].average.udp_countFp<<",";
                cout<<results[j].deviation.udp_countFp<<",";
		
		cout<<results[j].average.udp_countFpUp<<",";
		cout<<results[j].deviation.udp_countFpUp<<",";
		cout<<results[j].average.udp_countFpDown<<",";
	        cout<<results[j].deviation.udp_countFpDown<<",";
		cout<<results[j].average.lanUDP<<",";
		cout<<results[j].deviation.lanUDP<<",";
		cout<<results[j].average.icmp_countFp<<",";
		cout<<results[j].deviation.icmp_countFp<<",";
		cout<<results[j].average.icmp_countFpUp<<",";
		cout<<results[j].deviation.icmp_countFpUp<<",";
		
		cout<<results[j].average.icmp_countFpDown<<",";
		cout<<results[j].deviation.icmp_countFpDown<<",";
		cout<<results[j].average.lanICMP<<",";
		cout<<results[j].deviation.lanICMP<<",";
		cout<<results[j].average.liczbaSYNACKp<<",";
		cout<<results[j].deviation.liczbaSYNACKp<<",";
		cout<<results[j].average.tcpWWW_countUp<<",";
		cout<<results[j].deviation.tcpWWW_countUp<<",";
		cout<<results[j].average.tcpWWW_countDown<<",";
		cout<<results[j].deviation.tcpWWW_countDown<<",";
		
		cout<<results[j].average.udpDNS_countUp<<",";
		cout<<results[j].deviation.udpDNS_countUp<<",";
		cout<<results[j].average.udpDNS_countDown<<",";
		cout<<results[j].deviation.udpDNS_countDown<<",";
		cout<<results[j].average.daneTCPUpKB<<",";
		cout<<results[j].deviation.daneTCPUpKB<<",";
		cout<<results[j].average.daneTCPDownKB<<",";
		cout<<results[j].deviation.daneTCPDownKB<<",";
		cout<<results[j].average.daneWWWUpKB<<",";
		cout<<results[j].deviation.daneWWWUpKB<<",";
		
		cout<<results[j].average.daneWWWDownKB<<",";
		cout<<results[j].deviation.daneWWWDownKB<<",";
		cout<<results[j].average.daneUDPUpKB<<",";
		cout<<results[j].deviation.daneUDPUpKB<<",";
		cout<<results[j].average.daneUDPDownKB<<",";
		cout<<results[j].deviation.daneUDPDownKB<<",";
		cout<<results[j].average.daneDNSUpKB<<",";
		cout<<results[j].deviation.daneDNSUpKB<<",";
		cout<<results[j].average.daneDNSDownKB<<",";
                cout<<results[j].deviation.daneDNSDownKB<<endl;

	}
	
	
	for (int j=0;j<168;j++)		//saving results to file
	{
	    
		fprintf(fptr,"%d,%d%d,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g,%g\n",
		results[j].day, 
		results[j].hour[0]-48,
		results[j].hour[1]-48,
		
		results[j].average.tcp_countFp,
		results[j].deviation.tcp_countFp,
		results[j].average.tcp_countFpUp,
		results[j].deviation.tcp_countFpUp,
		results[j].average.tcp_countFpDown,
		results[j].deviation.tcp_countFpDown,
		results[j].average.lanTCP,
		results[j].deviation.lanTCP,
		results[j].average.udp_countFp,
                results[j].deviation.udp_countFp,
		
		results[j].average.udp_countFpUp,
		results[j].deviation.udp_countFpUp,
		results[j].average.udp_countFpDown,
	        results[j].deviation.udp_countFpDown,
		results[j].average.lanUDP,
		results[j].deviation.lanUDP,
		results[j].average.icmp_countFp,
		results[j].deviation.icmp_countFp,
		results[j].average.icmp_countFpUp,
		results[j].deviation.icmp_countFpUp,
		
		results[j].average.icmp_countFpDown,
		results[j].deviation.icmp_countFpDown,
		results[j].average.lanICMP,
		results[j].deviation.lanICMP,
		results[j].average.liczbaSYNACKp,
		results[j].deviation.liczbaSYNACKp,
		results[j].average.tcpWWW_countUp,
		results[j].deviation.tcpWWW_countUp,
		results[j].average.tcpWWW_countDown,
		results[j].deviation.tcpWWW_countDown,
		
		results[j].average.udpDNS_countUp,
		results[j].deviation.udpDNS_countUp,
		results[j].average.udpDNS_countDown,
		results[j].deviation.udpDNS_countDown,
		results[j].average.daneTCPUpKB,
		results[j].deviation.daneTCPUpKB,
		results[j].average.daneTCPDownKB,
		results[j].deviation.daneTCPDownKB,
		results[j].average.daneWWWUpKB,
		results[j].deviation.daneWWWUpKB,
		
		results[j].average.daneWWWDownKB,
		results[j].deviation.daneWWWDownKB,
		results[j].average.daneUDPUpKB,
		results[j].deviation.daneUDPUpKB,
		results[j].average.daneUDPDownKB,
		results[j].deviation.daneUDPDownKB,
		results[j].average.daneDNSUpKB,
		results[j].deviation.daneDNSUpKB,
		results[j].average.daneDNSDownKB,
                results[j].deviation.daneDNSDownKB);
	    
	}
	fclose(fptr);
        return 0;
}
